Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.plugins.quality
[Java] Interface CodeNarcReports

    org.gradle.api.NamedDomainObjectSet
      org.gradle.util.Configurable
          java.lang.Iterable
              org.gradle.api.NamedDomainObjectCollection
                  org.gradle.api.DomainObjectCollection
                      org.gradle.api.reporting.ReportContainer
                          org.gradle.api.plugins.quality.CodeNarcReports
                              java.util.Collection

All Superinterfaces:
  NamedDomainObjectSet, Configurable, Iterable, NamedDomainObjectCollection, DomainObjectCollection, ReportContainer, Collection

    public interface CodeNarcReports
    extends ReportContainer

The reporting configuration for the CodeNarc test.

Method Summary
`SingleFileReport` | `getHtml()` The codenarc HTML report
`SingleFileReport` | `getText()` The codenarc text report
`SingleFileReport` | `getXml()` The codenarc XML report

Methods inherited from interface ReportContainer
getEnabled

Methods inherited from interface NamedDomainObjectSet
findAll, matching, matching, withType

Method Detail

### getHtml

    public SingleFileReport getHtml()

  The codenarc HTML report
  Returns:
    The codenarc HTML report

### getText

    public SingleFileReport getText()

  The codenarc text report
  Returns:
    The codenarc text report

### getXml

    public SingleFileReport getXml()

  The codenarc XML report
  Returns:
    The codenarc XML report

Gradle API 1.10